<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="item"
            type="com.example.foodyappv2.data.model.Store" />

        <variable
            name="itemPosition"
            type="Integer" />

        <variable
            name="itemListener"
            type="com.example.foodyappv2.presentation.home.StoreAdapter.StoreListener" />

    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="360dp"
        android:layout_height="225dp"
        android:layout_marginStart="10dp"
        android:layout_marginEnd="10dp"
        android:background="@drawable/ripple_click_square"
        android:onClick="@{()->itemListener.onItemClick(itemPosition,item)}">

        <com.makeramen.roundedimageview.RoundedImageView
            android:id="@+id/image"
            imageFoodBig="@{item}"
            android:layout_width="match_parent"
            android:layout_height="225dp"
            android:adjustViewBounds="true"
            android:scaleType="centerCrop"
            app:layout_constraintTop_toTopOf="parent"
            app:riv_corner_radius="12dp"
            tools:background="@drawable/color_app_gradient" />

        <RelativeLayout
            android:layout_width="178dp"
            android:layout_height="110dp"
            android:layout_marginHorizontal="21dp"
            android:layout_marginEnd="15dp"
            android:layout_marginBottom="15dp"
            android:background="@drawable/border_10_transition_black_fill"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent">

            <TextView
                android:singleLine="true"
                android:id="@+id/tv_name"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_centerHorizontal="true"
                android:layout_marginTop="8dp"
                android:fontFamily="@font/cera_pro_medim"
                android:gravity="center_vertical"
                android:paddingStart="12dp"
                android:paddingEnd="4dp"
                android:text="@{item.name}"
                android:textColor="@color/white"
                android:textSize="16sp"
                tools:text="Indian Mastery Resto" />

            <TextView
                android:id="@+id/tvRate"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@id/tv_name"
                android:layout_marginStart="12dp"
                android:layout_marginTop="4dp"
                android:drawableStart="@drawable/ic_star"
                android:drawablePadding="4dp"
                android:fontFamily="@font/cera_pro_medim"

                android:gravity="center"
                android:text="@{item.rate+``}"
                android:textColor="@color/white"
                android:textSize="13sp" />

            <TextView
                android:id="@+id/tvAddress"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_below="@id/tvRate"
                android:layout_marginStart="12dp"
                android:layout_marginTop="4dp"
                android:layout_marginEnd="4dp"
                android:fontFamily="@font/cera_pro_medim"
                android:gravity="center_vertical"
                android:maxLines="2"
                android:singleLine="false"
                android:text="@{item.address}"
                android:textColor="@color/white"
                android:textSize="13sp" />

            <TextView
                android:id="@+id/tvCenterHelps"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_below="@id/tvAddress"
                android:layout_marginStart="12dp"
                android:layout_marginTop="2dp"
                android:layout_marginEnd="4dp"
                android:fontFamily="@font/cera_pro_light"
                android:singleLine="true"
                android:text="* Free ship today 02/07"
                android:textColor="@color/white"
                android:textSize="11sp"
                android:textStyle="italic" />
        </RelativeLayout>


    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>